<template>
    <v-container >
        <v-row >
            <v-col xs="12" sm5 md="5">
                <v-card elevation="4">
                    <v-card-title primary-title>
                        <div>
                            <h3 class="headline mb-0">
                                {{ lead.company }}
                            </h3>

                            <p>
                                <v-tooltip top>
                                    <template v-slot:activator="{ on }">
                                        <v-icon v-on="on">mobile_friendly</v-icon>
                                        <span class="body-1">
                                            {{ lead.mobile }}
                                        </span>
                                    </template>

                                    <span>{{ trans('messages.mobile') }}</span>
                                </v-tooltip>
                            </p>

                            <p>
                                <v-tooltip top>
                                    <template v-slot:activator="{ on }">
                                        <v-icon v-on="on">mobile_friendly</v-icon>
                                        <span class="body-1">
                                            {{ lead.alternate_contact_no }}
                                        </span>
                                    </template>

                                    <span>{{ trans('messages.alternate_num') }}</span>
                                </v-tooltip>
                            </p>

                            <p>
                                <v-tooltip top>
                                    <template v-slot:activator="{ on }">
                                        <v-icon v-on="on">email</v-icon>
                                        <span class="body-1">
                                            {{ lead.email }}
                                        </span>
                                    </template>

                                    <span>{{ trans('messages.email') }}</span>
                                </v-tooltip>
                            </p>

                            <p>
                                <v-tooltip top>
                                    <template v-slot:activator="{ on }">
                                        <v-icon v-on="on">http</v-icon>
                                        <span class="body-1">
                                            {{ lead.website }}
                                        </span>
                                    </template>

                                    <span>{{ trans('messages.website') }}</span>
                                </v-tooltip>
                            </p>

                            <p>
                                <v-tooltip top>
                                    <template v-slot:activator="{ on }">
                                        <v-icon v-on="on">pin_drop</v-icon>
                                        <span class="body-1">
                                            {{ lead.city }}, {{ lead.state }},
                                            {{ lead.country }}
                                        </span>
                                    </template>

                                    <span
                                        >{{ trans('messages.city') }},
                                        {{ trans('messages.state') }},
                                        {{ trans('messages.country') }}</span
                                    >
                                </v-tooltip>
                            </p>

                            <p>
                                <v-tooltip top>
                                    <template v-slot:activator="{ on }">
                                        <v-icon v-on="on">money</v-icon>
                                        <span class="body-1">
                                            {{ currency.iso_name }}
                                            ({{ currency.symbol }})
                                        </span>
                                    </template>

                                    <span>{{ trans('messages.currency') }}</span>
                                </v-tooltip>
                            </p>

                            <p>
                                <v-tooltip top>
                                    <template v-slot:activator="{ on }">
                                        <v-icon v-on="on">store_mall_directory</v-icon>
                                        <span class="body-1">
                                            {{ lead.billing_address }}
                                        </span>
                                    </template>

                                    <span>{{ trans('messages.billing_address') }}</span>
                                </v-tooltip>
                            </p>

                            <p>
                                <v-tooltip top>
                                    <template v-slot:activator="{ on }">
                                        <v-icon v-on="on">local_shipping</v-icon>
                                        <span class="body-1">
                                            {{ lead.shipping_address }}
                                        </span>
                                    </template>

                                    <span>{{ trans('messages.shipping_address') }}</span>
                                </v-tooltip>
                            </p>
                        </div>
                    </v-card-title>
                </v-card>
            </v-col>
        </v-row>
    </v-container>
</template>

<script>
export default {
    data() {
        return {
            lead: [],
            lead_id: null,
            currency: [],
        };
    },
    created() {
        this.lead_id = this.$route.params.id;
        this.show(this.lead_id);
    },
    methods: {
        show(data) {
            const self = this;
            axios
                .get('/admin/customers/' + data)
                .then(function(response) {
                    self.lead = response.data;
                    self.currency = response.data.currency;
                })
                .catch(function(error) {
                    console.log(error);
                });
        },
    },
};
</script>
